Bug 4163 - Better error message for grid-cert-request
: Better error message for grid-cert-request
Status: RESOLVED FIXED
: GSI C
Credentials and Proxies
: 4.0.1
: PC Linux
: P3 normal
: 4.0.6
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2006-01-19 04:49 by
Modified: 2008-08-11 14:56 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-01-19 04:49:58
Hello,

I presume his to be the wrong product I assigned this bug to. I am sorry for
that but I did not know any better. NorduGrid.org uses Globus 4.0.1 since
recently and the grid-cert-request gave some inproper error message that my
patch improved.

Best regards

Steffen

--- /opt/globus/bin/grid-cert-request   2005-12-21 12:49:26.000000000 +0100
+++ grid-cert-request   2006-01-17 12:24:07.000000000 +0100
@@ -44,6 +44,7 @@

 . ${GLOBUS_LOCATION}/libexec/globus-script-initializer
 globus_source ${GLOBUS_LOCATION}/libexec/globus-sh-tools.sh
+#env

 if [ ! -z "${GRID_SECURITY_DIR}" ] ; then
     if [ -r "${GRID_SECURITY_DIR}/globus-user-ssl.conf" ] &&
@@ -82,9 +83,17 @@
         trusted_certs_dir="${GLOBUS_LOCATION}/share/certificates"
     fi
 else
-    echo "Can't find valid CA config files. Please make sure"
-    echo "that you have installed and setup a CA setup package."
-    echo ""
+    cat <<EOERROR
+Can't find valid CA config files, could not read the files
+       /etc/grid-security/globus-user-ssl.conf
+       /etc/grid-security/globus-host-ssl.conf
+or
+       ${GLOBUS_LOCATION}/etc/globus-user-ssl.conf
+       ${GLOBUS_LOCATION}/etc/globus-host-ssl.conf
+that would give insights on their whereabouts. If the
+CAs were downloaded, please make sure you have run
+the setup scripts of the respective packages.
+EOERROR
     exit 1
 fi
------- Comment #1 From 2007-08-08 13:58:15 -------
I've committed a similar patch that also includes a recommendation to run
gpt-postinstall.